import "core-js/modules/es.function.name.js";
import { createVNode as _createVNode } from "vue";
import { mergeProps as _mergeProps } from "vue";
import { defineComponent } from 'vue';
import { RadialBar } from '@antv/g2plot';
import BaseChart from '../../components/base';
var RadialBarChart = defineComponent({
  name: 'RadialBarChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": RadialBar
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

RadialBarChart.install = function (app) {
  app.component(RadialBarChart.name, RadialBarChart);
};

export default RadialBarChart;