import "core-js/modules/es.function.name.js";
import { createVNode as _createVNode } from "vue";
import { mergeProps as _mergeProps } from "vue";
import { defineComponent } from 'vue';
import { TinyColumn } from '@antv/g2plot';
import BaseChart from '../../components/base';
var TinyColumnChart = defineComponent({
  name: 'TinyColumnChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": TinyColumn
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

TinyColumnChart.install = function (app) {
  app.component(TinyColumnChart.name, TinyColumnChart);
};

export default TinyColumnChart;