import { FunnelOptions } from '@antv/g2plot';
import { BaseChartProps } from '../../components/base';
export declare type FunnelChartProps = Omit<BaseChartProps<FunnelOptions>, 'chart'> & FunnelOptions;
declare const FunnelChart: import("vue").DefineComponent<FunnelChartProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("vue").EmitsOptions, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    class: any;
} & {
    width?: number | undefined;
    height?: number | undefined;
    padding?: number | number[] | "auto" | undefined;
    appendPadding?: number | number[] | undefined;
    renderer?: "canvas" | "svg" | undefined;
    pixelRatio?: number | undefined;
    autoFit?: boolean | undefined;
    syncViewPadding?: boolean | import("@antv/g2/lib/interface").SyncViewPaddingFn | undefined;
    supportCSSTransform?: boolean | undefined;
    limitInPlot?: boolean | undefined;
    style?: string | import("vue").CSSProperties | undefined;
    color?: string | string[] | ((datum: Record<string, any>) => string) | undefined;
    chartRef?: import("vue").Ref<import("@antv/g2plot").Plot<FunnelOptions> | null> | undefined;
    data?: Record<string, any>[] | undefined;
    label?: false | ({
        readonly fields?: string[] | undefined;
        readonly callback?: import("@antv/g2/lib/interface").LabelCallback | undefined;
        readonly formatter?: string | import("@antv/g-base").IGroup | import("@antv/g-base").IShape | import("@antv/g2/lib/interface").GeometryLabelContentCallback | undefined;
    } & import("@antv/g2/lib/interface").GeometryLabelCfg) | undefined;
    legend?: false | import("@antv/g2/lib/interface").LegendCfg | undefined;
    meta?: unknown;
    localRefresh?: boolean | undefined;
    theme?: unknown;
    xAxis?: false | (import("@antv/g2/lib/interface").AxisCfg & Pick<import("@antv/g2plot").Meta, "base" | "mask" | "field" | "min" | "max" | "minLimit" | "maxLimit" | "alias" | "range" | "exponent" | "nice" | "ticks" | "tickInterval" | "minTickInterval" | "tickCount" | "maxTickCount" | "tickMethod" | "type" | "sync">) | undefined;
    yAxis?: false | (import("@antv/g2/lib/interface").AxisCfg & Pick<import("@antv/g2plot").Meta, "base" | "mask" | "field" | "min" | "max" | "minLimit" | "maxLimit" | "alias" | "range" | "exponent" | "nice" | "ticks" | "tickInterval" | "minTickInterval" | "tickCount" | "maxTickCount" | "tickMethod" | "type" | "sync">) | undefined;
    tooltip?: false | import("@antv/g2plot").TooltipOptions | undefined;
    slider?: boolean | import("@antv/g2/lib/interface").SliderCfg | undefined;
    scrollbar?: boolean | import("@antv/g2/lib/interface").ScrollbarCfg | undefined;
    animation?: false | import("@antv/g2/lib/interface").AnimateOption | undefined;
    interactions?: import("@antv/g2plot/lib/types/interaction").Interaction[] | undefined;
    annotations?: import("@antv/g2plot/lib/types/annotation").Annotation[] | undefined;
    state?: import("@antv/g2/lib/interface").StateCfg | undefined;
    xField?: string | undefined;
    yField?: string | undefined;
    seriesField?: string | undefined;
    conversionTag?: false | {
        readonly offsetX: number;
        readonly offsetY: number;
        readonly style: import("@antv/g2plot").TextStyle;
        readonly formatter: string | ((datum?: Record<string, any> | undefined, data?: import("@antv/g2plot").Data | undefined) => string);
    } | undefined;
    compareField?: string | undefined;
    isTransposed?: boolean | undefined;
    dynamicHeight?: boolean | undefined;
    maxSize?: number | undefined;
    minSize?: number | undefined;
}>, {
    class: any;
}>;
export default FunnelChart;
