import { GaugeOptions } from '@antv/g2plot';
import { BaseChartProps } from '../../components/base';
export declare type GaugeChartProps = Omit<BaseChartProps<GaugeOptions>, 'chart'> & GaugeOptions;
declare const GaugeChart: import("vue").DefineComponent<GaugeChartProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("vue").EmitsOptions, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    class: any;
} & {
    width?: number | undefined;
    height?: number | undefined;
    padding?: number | number[] | "auto" | undefined;
    appendPadding?: number | number[] | undefined;
    renderer?: "canvas" | "svg" | undefined;
    pixelRatio?: number | undefined;
    autoFit?: boolean | undefined;
    syncViewPadding?: boolean | import("@antv/g2/lib/interface").SyncViewPaddingFn | undefined;
    supportCSSTransform?: boolean | undefined;
    limitInPlot?: boolean | undefined;
    style?: string | import("vue").CSSProperties | undefined;
    chartRef?: import("vue").Ref<import("@antv/g2plot").Plot<GaugeOptions> | null> | undefined;
    label?: false | ({
        readonly fields?: string[] | undefined;
        readonly callback?: import("@antv/g2/lib/interface").LabelCallback | undefined;
        readonly formatter?: string | import("@antv/g-base").IGroup | import("@antv/g-base").IShape | import("@antv/g2/lib/interface").GeometryLabelContentCallback | undefined;
    } & import("@antv/g2/lib/interface").GeometryLabelCfg) | undefined;
    meta?: unknown;
    localRefresh?: boolean | undefined;
    theme?: unknown;
    slider?: boolean | import("@antv/g2/lib/interface").SliderCfg | undefined;
    scrollbar?: boolean | import("@antv/g2/lib/interface").ScrollbarCfg | undefined;
    animation?: false | import("@antv/g2/lib/interface").AnimateOption | undefined;
    interactions?: import("@antv/g2plot/lib/types/interaction").Interaction[] | undefined;
    annotations?: import("@antv/g2plot/lib/types/annotation").Annotation[] | undefined;
    state?: import("@antv/g2/lib/interface").StateCfg | undefined;
    range?: {
        readonly ticks?: number[] | undefined;
        readonly color?: string | string[] | undefined;
    } | undefined;
    percent?: number | undefined;
    radius?: number | undefined;
    innerRadius?: number | undefined;
    startAngle?: number | undefined;
    endAngle?: number | undefined;
    axis?: false | (import("@antv/g2/lib/interface").AxisCfg & Pick<import("@antv/g2plot").Meta, "base" | "mask" | "field" | "min" | "max" | "minLimit" | "maxLimit" | "alias" | "range" | "exponent" | "nice" | "ticks" | "tickInterval" | "minTickInterval" | "tickCount" | "maxTickCount" | "tickMethod" | "type" | "sync">) | undefined;
    indicator?: false | import("@antv/g2plot/lib/plots/gauge/types").Indicator | undefined;
    statistic?: import("@antv/g2plot").Statistic | undefined;
}>, {
    class: any;
}>;
export default GaugeChart;
