import "core-js/modules/es.function.name.js";
import { createVNode as _createVNode } from "vue";
import { mergeProps as _mergeProps } from "vue";
import { defineComponent } from 'vue';
import { Chord } from '@antv/g2plot';
import BaseChart from '../../components/base';
var ChordChart = defineComponent({
  name: 'ChordChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": Chord
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

ChordChart.install = function (app) {
  app.component(ChordChart.name, ChordChart);
};

export default ChordChart;