import "core-js/modules/es.function.name.js";
import { createVNode as _createVNode } from "vue";
import { mergeProps as _mergeProps } from "vue";
import { defineComponent } from 'vue';
import { Heatmap } from '@antv/g2plot';
import BaseChart from '../../components/base';
var HeatmapChart = defineComponent({
  name: 'HeatmapChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": Heatmap
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

HeatmapChart.install = function (app) {
  app.component(HeatmapChart.name, HeatmapChart);
};

export default HeatmapChart;