import "core-js/modules/es.function.name.js";
import { createVNode as _createVNode } from "vue";
import { mergeProps as _mergeProps } from "vue";
import { defineComponent } from 'vue';
import { Progress } from '@antv/g2plot';
import BaseChart from '../../components/base';
var ProgressChart = defineComponent({
  name: 'ProgressChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": Progress
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

ProgressChart.install = function (app) {
  app.component(ProgressChart.name, ProgressChart);
};

export default ProgressChart;