import "core-js/modules/es.function.name.js";
import { createVNode as _createVNode } from "vue";
import { mergeProps as _mergeProps } from "vue";
import { defineComponent } from 'vue';
import { Rose } from '@antv/g2plot';
import BaseChart from '../../components/base';
var RoseChart = defineComponent({
  name: 'RoseChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": Rose
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

RoseChart.install = function (app) {
  app.component(RoseChart.name, RoseChart);
};

export default RoseChart;